#%RAML 1.0 Library
type: object
displayName: Filtro de resultados
description: Utilizado para buscar os resultados das amostras.
properties: 
    numeroPagina: 
        type: integer
        description: Atributo para indicar página atual da pesquisa paginada.
    maximoPorPagina:
        type: integer
        description: Atributo para indicar a quantidade de elementos sendo buscados por página.
        maximum: 100
    status:
        required: false
        type: array
        description: Utilizar para filtrar os status dos resultados das amostras.
        items:
            type: string
            enum: [ NORMAL, ATENCAO, ANORMAL, CRITICO ]
    dataDe:
        required: false
        type: datetime
        description: Data de início a ser considerada. Formato é o ISO 8601 com time zone. Para maiores informações, veja https://en.wikipedia.org/wiki/ISO_8601
    dataAte:
        required: false
        type: datetime
        description: Data de fim a ser considerada. Formato é o ISO 8601 com time zone. Para maiores informações, veja https://en.wikipedia.org/wiki/ISO_8601
    statusLeitura:
        type: string
        description: Filtra pelo status de leitura do resultado. Muito útil para garantir que somentes resultados não vistos sejam acessados.
        enum: [ TODOS, SOMENTE_LIDOS, SOMENTE_NAO_LIDOS ]
    numeroAmostra:
        required: false
        type: string
        description: Filtro pelo número da amostra. Valores parciais são considerados.
    codigoExternoAmostra:
        required: false
        type: string
        description: Filtra pelo código externo da amostra. Valores parciais são considerados.
    chassiSerie:
        required: false
        type: string
        description: Filtra pelo chassi ou série do equipamento. Valores parciais são considerados.
    frota:
        required: false
        type: string
        description: Filtra pela frota ou tag do equipamento. Valores parciais são considerados.
    familia:
        required: false
        type: string
        description: Filtra pela família do equipamento. Valores parciais são considerados.
    fabricante:
        required: false
        type: string
        description: Filtra pelo fabricante do equipamento. Valores parciais são considerados.
    modelo:
        required: false
        type: string
        description: Filtra pelo modelo do equipamento. Valores parciais são considerados.
    listaTiposCompartimento:
        required: false
        type: array
        description: Filtrar os tipos de compartimentos associados a amostra.
        items:
            idTipoCompartimento:
                type: integer
                description: Id do tipo de compartimento.
    nomeCompartimento:
        required: false
        type: string
        description: Filtra pelo nome do compartimento associado a amostra. Valores parciais são considerados.
    cliente:
        required: false
        type: string
        description: Filtra pelo cliente responsável. Valores parciais são considerados.
    obra:
        required: false
        type: string
        description: Filtra pela obra responsável. Valores parciais são considerados.
    area:
        required: false
        type: string
        description: Filtra pela área do equipamento associado ao equipamento da amostra. Valores parciais são considerados.
    setor:
        required: false
        type: string
        description: Filtra pelo setor do equipamento associado ao equipamento da amostra. Valores parciais são considerados.        